geos::geomgraph::index::EdgeSetIntersector Class Referenceabstract

An EdgeSetIntersector computes all the intersections between the edges in the set. More...

`#include <EdgeSetIntersector.h>`

Inheritance diagram for geos::geomgraph::index::EdgeSetIntersector:

## Public Member Functions

virtual void | computeIntersections (std::vector< Edge * > *edges, SegmentIntersector *si, bool testAllSegments)=0
| Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.
virtual void | computeIntersections (std::vector< Edge * > *edges0, std::vector< Edge * > *edges1, SegmentIntersector *si)=0
| Computes all mutual intersections between two sets of edges.

## Detailed Description

An EdgeSetIntersector computes all the intersections between the edges in the set.

Note
  This is derived from a Java interface.

## Member Function Documentation

## computeIntersections() [1/2]

virtual void geos::geomgraph::index::EdgeSetIntersector::computeIntersections | ( | std::vector< Edge * > * | edges,
|  | SegmentIntersector * | si,
|  | bool | testAllSegments )

pure virtual

Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.

Parameters

  edges | a list of edges to test for intersections
  si | the SegmentIntersector to use
  testAllSegments | true if self-intersections are to be tested as well

Implemented in geos::geomgraph::index::SimpleEdgeSetIntersector, geos::geomgraph::index::SimpleMCSweepLineIntersector, and geos::geomgraph::index::SimpleSweepLineIntersector.

## computeIntersections() [2/2]

virtual void geos::geomgraph::index::EdgeSetIntersector::computeIntersections | ( | std::vector< Edge * > * | edges0,
|  | std::vector< Edge * > * | edges1,
|  | SegmentIntersector * | si )

pure virtual

Computes all mutual intersections between two sets of edges.

Implemented in geos::geomgraph::index::SimpleEdgeSetIntersector, geos::geomgraph::index::SimpleMCSweepLineIntersector, and geos::geomgraph::index::SimpleSweepLineIntersector.

The documentation for this class was generated from the following file:

- geomgraph/index/EdgeSetIntersector.h